# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Algorithm-C3
Version:	0.09
Release:	1.%{__distinit}%{__distvers}
Summary:	Module for merging hierarchies using the C3 algorithm
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Algorithm-C3/
Source0:	http://search.cpan.org/CPAN/authors/id/H/HA/HAARG/Algorithm-C3-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More) >= 0.47
BuildRequires:	perl(warnings)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module implements the C3 algorithm.  Most of the uses I have for C3
revolve around class building and metamodels but it could also be used for
things like dependency resolution as well since it tends to do such a nice
job of preserving local precedence orderings.

%prep
%setup -q -n Algorithm-C3-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/Algorithm/
%{_mandir}/man3/Algorithm::C3.3pm*

%changelog
* Mon Mar  3 2014 Paul Howarth <paul@city-fan.org> 0.09-1
- Update to 0.09
  - Convert to use ExtUtils::MakeMaker using distar
  - Include repo and bugtracker metadata
- This release by HAARG -> update source URL
- Switch to ExtUtils::MakeMaker flow

* Wed Jun 27 2012 Paul Howarth <paul@city-fan.org> 0.08-10
- BR: perl(Carp)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to run the test suite with LC_ALL=C

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> 0.08-7
- rebuild for perl 5.14.1 in Rawhide
- use %%{_fixperms} macro instead of our own %%{__chmod} incantation
- nobody else likes macros for commands
- fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.08-6
- rebuild for perl 5.12.1 in Rawhide

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> 0.08-5
- fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> 0.08-4
- dist tag for Rawhide no longer needs special-casing

* Tue Aug 11 2009 Paul Howarth <paul@city-fan.org> 0.08-3
- import from Fedora

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.08-2
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.08-1
- auto-update to 0.08 (by cpan-spec-update 0.01)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.07-3
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.07-2
- rebuild for new perl

* Thu May 31 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.07-1
- update to 0.07
- include t/ in doc
- minor spec reworkage to deal with the once and future perl split

* Tue Nov 21 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- update to 0.06

* Wed Sep 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.05-2
- bump

* Tue Sep 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- specfile autogenerated by cpanspec 1.69.1
